# Copyright 2014 - 2016 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cat <<END_HTML
  <div class="section basic">
    <h2 class="item FN">$values[FN]</h2>
    ${values[GENDER]:+<span class="item GENDER">$(l10n $values[GENDER])</span>}

    $(for n in NICKNAME NICKNAME{0..10}; do
      echo "${values[$n]:+<span class="item NICKNAME">aka. $values[$n]</span>}"
    done)

    ${values[BDAY]:+<span class="item BDAY"><b>*:</b> $values[BDAY]</span>}
    ${values[X-ZACK-JOINDATE]:+<span class="item X-ZACK-JOINDATE"><b>$(l10n label_join):</b> $values[X-ZACK-JOINDATE]</span>}
    ${values[X-ZACK-LEAVEDATE]:+<span class="item X-ZACK-LEAVEDATE"><b>$(l10n label_leave):</b> $values[X-ZACK-LEAVEDATE]</span>}
    ${values[SOUND]:+<audio controls="controls" class="item SOUND"><source type="audio/ogg" src="data:audio/ogg;base64,$values[SOUND]" /></audio>}
    ${values[PHOTO]:+<img class="item PHOTO" src="data:image/$tags[PHOTO_TYPE];base64,$values[PHOTO]" />}
    ${values[LOGO]:+<img class="item LOGO" src="data:image/$tags[LOGO_TYPE];base64,$values[LOGO]" />}
  </div><!--

  --><div class="section address">
    <h3>$(l10n ADR)</h3>
    $(for n in ADR ADR{0..10}; do
      echo "${values[$n]:+<span class="item ADR">$values[$n]</span>}"
    done)
    ${values[URL]:+<h3>$(l10n URL)</h3>}
    $(for n in URL URL{0..10}; do
      echo "${values[$n]:+<span class="item URL"><a href="$values[$n]">$values[$n]</a></span>}"
    done)
  </div><!--

  --><div class="section phone">
    <h3>$(l10n TEL)</h3>
    $(for n in TEL TEL{0..10}; do
      echo "${values[$n]:+<span class="item TEL">$tags[${n}_TYPE] $values[$n]</span>}"
    done)
    ${values[EMAIL]:+<h3>$(l10n EMAIL)</h3>}
    $(for n in EMAIL EMAIL{0..10}; do
      echo "${values[$n]:+<span class="item EMAIL"><a href="mailto:$values[$n]">$values[$n]</a></span>}"
    done)
    ${values[IMPP]:+<h3>$(l10n IMPP)</h3>}
    $(for n in IMPP IMPP{0..10}; do
      echo "${values[$n]:+<span class="item IMPP">$tags[${n}_TYPE] <a href="$values[$n]">$values[$n]</a></span>}"
    done)
  </div><!--

  --><div class="section insurance">
    <h3>$(l10n X-HEALTH-INSURANCE)</h3>
  </div><!--

  --><div class="section note">
    ${values[NOTE]:+<h3>$(l10n NOTE)</h3>}
    $(for n in NOTE NOTE{0..10}; do
      echo "${values[$n]:+<span class="item NOTE">$values[$n]</span>}"
    done)
    ${values[X-CLIENT-REFERRAL]:+<h3>$(l10n X-CLIENT-REFERRAL)</h3>}
    $(for n in X-CLIENT-REFERRAL X-CLIENT-REFERRAL{0..10}; do
      echo "${values[$n]:+<span class="item X-CLIENT-REFERRAL">$values[$n]</span>}"
    done)
  </div><!--

  --><div class="section prescriptions">
    <h3>$(l10n prescriptions)</h3>
    <ul>
    $(sed -rn 's:(.*)\t'$id'$:\1:p' "$_DATA/mappings/attendance" |while read each; do
      cname="$(sed -rn 's:^SUMMARY\:(.*)$:\1:p' "$_DATA/ical/$each")"
      echo '   <li><a class="item attendance" href="?p=courses#'$each'">'$cname'</a></li>'
    done)
    </ul>
  </div>
END_HTML
